Package API

# Interface Changement

All Superinterfaces:
  `MonPrint`

All Known Implementing Classes:
  `ChangementNP`

public interface Changement extends MonPrint
Une demande de changement de groupe concerne un étudiant, qui est dans un groupe A et veut aller dans un groupe B.

## Method Summary

Modifier and Type
Method
Description
`Groupe`
`getA()`
permet de récupérer le groupe de depart
`Groupe`
`getB()`
permet de récupérer le groupe d'arrivée
`Etudiant`
`getEtu()`
permet de récupérer l'étudiant demandant le changement
`int`
`getId()`
permet de récupérer l'identifiant du changement (référence interne sans intérêt irl).
`default String`
`monPrint()`
Fonctionne comme ToPrint() sauf car une interface n'a pas le droit de faire un override sur ToPrint().

## Method Details

### getId

int getId()
permet de récupérer l'identifiant du changement (référence interne sans intérêt irl).

Returns:
  l'identifiant.

### getA

Groupe getA()
permet de récupérer le groupe de depart

Returns:
  ce groupe.

### getB

Groupe getB()
permet de récupérer le groupe d'arrivée

Returns:
  ce groupe.

### getEtu

Etudiant getEtu()
permet de récupérer l'étudiant demandant le changement

Returns:
  cet étudiant

### monPrint

default String monPrint()
Description copied from interface: `MonPrint`
Fonctionne comme ToPrint() sauf car une interface n'a pas le droit de faire un override sur ToPrint(). Toutes nos interfaces vont étendre cette interface.

Specified by:
  `monPrint` in interface `MonPrint`
See Also:
  - `NB. On n'utilise le mécanisme des méthodes par défaut pour donner du code dans une interface. C'est un petit peu laid et à contre-emploi mais pratique ici.

    NB2. On ne peut pas utiliser le toString de Objects https://stackoverflow.com/questions/24016962/java8-why-is-it-forbidden-to-define-a-default-method-for-a-method-from-java-lan

    `